> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing Spark job configuration



## OpenAPI

````yaml /api-reference/4.2/service-spark.json put /spark/configurations/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service spark
servers:
  - url: /api/apollo/
security: []
tags:
  - name: spark
paths:
  /spark/configurations/{id}:
    put:
      tags:
        - 4.2 Spark API
      summary: Update an existing Spark job configuration
      operationId: updateConfiguration
      parameters:
        - name: id
          in: path
          description: Spark configuration ID
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/SparkJobConfig'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SparkJobConfig'
components:
  requestBodies:
    SparkJobConfig:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SparkJobConfig'
      description: JSON-formatted configuration values
  schemas:
    SparkJobConfig:
      type: object
      properties:
        id:
          type: string
          readOnly: true

````